package com.foreverwin.mesnac.meapi.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.foreverwin.mesnac.meapi.model.UserGroup;
import com.baomidou.mybatisplus.extension.service.IService;
import com.foreverwin.modular.core.util.FrontPage;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author robert
 * @since 2021-06-29
 */
public interface UserGroupService extends IService<UserGroup> {

    /**
     *  分页查询
     * @param frontPage
     * @return
     */
    IPage<UserGroup> selectPage(FrontPage<UserGroup> frontPage, UserGroup userGroup);

    List<UserGroup> selectList(UserGroup userGroup);

    List<UserGroup> getUserGroupListByUserBo(String userBo);

    Integer getUserGroupByUser(String userBO,String userGroupBO);

    List<UserGroup> findAbnormalUserGroup(Map<String,Object> param);
}